Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Get a volume discount

Returns a single volume discount by ID.

GET/volume_discounts/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idintegerrequired

ID of the volume discount to retrieve.

Responses
200

Volume discount details

_linksHalLinks
idinteger
namestring
discount_typestring
apply_modestring
repeating_tierboolean
tiersobject

Keyed by tier boundary — not an array.

cumulativeboolean
cumulative_modestring
available_forstring
created_atstring<date-time>
updated_atstring<date-time>
404

Volume discount not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.onbolder.com/v2/volume_discounts/30' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": 30,
  "name": "Buy 5+ get 10% off",
  "discount_type": "percentage",
  "tiers": {
    "5": 10
  },
  "cumulative": false,
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/volume_discounts/30"
    }
  }
}

Was this page helpful?